Articles of windows 7

在Cygwin上构buildnode.js的问题,请大家帮忙

我想让node.js在Windows 7上运行。我没有使用Linux的经验,所以我只是盲目地遵循我find的教程的指示,但是我仍然无法构buildnode.js. 我做了什么: 安装Cygwin – 整个 尝试构buildnode.js 这是我第一次得到的错误: 然后我跟着其他两个类似的网站的命令,他们都导致了这个错误(可以得到几个版本的节点已经导致我更多的问题?我完全无能为力)。 我在某处读到Windows版本的Python可能会导致问题,所以我卸载了我的Python 2.7,并将C:\ cygwin \ bin添加到PATH中。 这仍然不起作用,我读了其他地方,我应该rebaseall所以我尝试了,但我也有一个错误: 那就是我现在所在的地方。 我采取了哪些措施加剧了这种情况?

没有解释的NodeJ的安装失败。 这是日志

我在Windows 7 64位机器上执行MSIExec.exe,并selectlogin到文件: C:\Windows\winsxs\amd64_microsoft-windows-installer- executable_31bf3856ad364e35_6.1.7601.17514_none_a7a77a3b9cb96ce6\msiexec.exe /log installer.log /i "D:\Users\Chad\Downloads\node-v0.12.2-x64.msi" 并得到一个消息,安装失败,被回滚。 日志太长,不能包含在邮件中,所以我把它发布在One Drive上。 这是截断的日志,减小了张贴的大小。 希望我没有删除任何可能揭示问题的东西。 === Logging started: 4/22/2015 20:54:54 === Action 20:54:54: INSTALL. Action start 20:54:54: INSTALL. Action 20:54:54: FindRelatedProducts. Searching for related applications Action start 20:54:54: FindRelatedProducts. Action ended 20:54:54: FindRelatedProducts. Return value 1. Action 20:54:54: PrepareDlg. Action start 20:54:54: PrepareDlg. Info 2898.For WixUI_Font_Normal […]

“伊斯坦布尔”不被视为内部或外部命令

我刚刚添加了istanbultesting覆盖模块到我的node.js应用程序,但是当我运行(从命令提示符): > instanbul cover myTests.js 正如文档中提到的,我得到: 'istanbul' is not recognized as an internal or external command 我在Windows 7下.npm安装没有返回错误。 我没有看到有关额外安装步骤的文档。 我错过了什么?

无法安装因果关系

我在32位的Win7上安装了Karma。 我得到了它的工作,但它花了许多曲折的段落,使所有的工作。 我从Maven运行它。 我现在将其设置在64位的Win7上。 我已经成功安装并运行了Karma,甚至通过了我的testing,但是我大部分需要的插件都得到了“无法find插件”警告。 请注意,我没有改变构build脚本本身的任何东西。 这在32位盒子上保持不变。 以下是我的构build输出的示例: [INFO] — maven-karma-plugin:1.5:start (default) @ SunlightGUI-war — cmd /C karma start C:\Users\=myuid=\workspace\SunlightGUI\src\test\webapp\js\karma.conf.js –browsers PhantomJS –reporters dots,junit,coverage –single-run –no-auto-watch –colors false WARN [plugin]: Cannot find plugin "karma-coverage". Did you forget to install it ? npm install karma-coverage –save-dev WARN [plugin]: Cannot find plugin "karma-junit-reporter". Did you forget to […]

toggleBreakpointsTargetFactory指定的ID已被注册

Node.jsdebugging不起作用,开箱即用。 在全新安装的Kepler SR1 Build id:20130919-0819上,在64位Windows 7上,我使用Eclipse Marketplace安装了Nodeclipse和Enide 0.6。 我在一个新的工作区中创build了一个新的Node-Express项目。 在Project Explorer中,我右键单击app.js并select“debugging为 – >节点应用程序”。 控制台显示: C:\ Program Files(x86)\ nodejs \ node.exe –debug-brk = 5858 F:\ workspace \ test \ app.js 但node.exe立即死亡,并popup一个对话框“启动委托…”,然后是一个错误对话框:“启动STANDALONE_V8”遇到了问题。 (我猜测node.exe已经退出,所以没有V8的实例供debugging器连接。) 日食错误日志显示一个错误: org.eclipse.debug.ui.toggleBreakpointsTargetFactory扩展未能加载断点切换目标,因为指定的ID已被注册。 指定的ID是:org.chromium.debug.ui.ChromiumToggleBreakpointTargetFactory 这同样的顺序完美地运行在同事的机器上。 我的机器上的这个断点目标ID是在哪里注册的,我该如何清除它? 还有什么我可以尝试?

Windows命令行打开与命令同名的文件

我安装了ender js,并从命令行运行它。 它生成一个名为ender.js的文件。 每当我运行命令“恩德信息”或任何与恩德在里面,它打开记事本ender.js文件。 如何停止打开文件并获取命令运行? 它在我删除文件时运行,但我需要该文件。

npm启动Microsoft JScript运行时错误800A138F对象预计

NPM入门… 我可以运行以下命令来启动我的应用程序。 node app 但是当我运行以下命令时,出现以下错误: npm start Windows脚本宿主对象的预期 2号线 800A138F Microsoft JScript运行时错误 App.js: var port = 5000; var express = require('express'); 的package.json: { "name": "2", "version": "1.0.0", "description": "", "main": "app.js", "scripts": { "start": "app.js" }, "author": "", "license": "ISC", "dependencies": { "express": "^4.13.3" } } 我当然运行了这个命令: npm install express –save 似乎NPM无法find快递包裹? 为什么不?

grunt init:节点不工作

我正在尝试做一个介绍咕噜教程。 我已经在全局安装了git,node.js和grunt(或者至less我以为我用过:npm install -g grunt(安装)),然后创build了一个快速目录并input它(mkdir demo,cd demo),但是当我input: > grunt init:node 在提示符下,我得到以下内容: grunt-cli: The grunt command line interface (v0.1.11) Fatal error: unable to find local grunt If you're seeing this message, either a Gruntfile wasn't found or hasn't been installed locally to your project. For more information about installing and configuring grunt, please see the Getting […]

良好的Windows 7的IDE通过SSH的node.js devlopment

刚开始学习linux,我有一台运行Ubuntu 11.10的Amazon EC2服务器。 我正在尝试学习node.js并获得一个简单的游戏服务器。 我的家用机器是Windows 7,所以我使用PuTTy SSH进入我的EC2服务器。 我想知道你们会推荐哪种IDE? 我非常喜欢NetBeans,这是我对PHP的首选IDE,但是没有node.js项目types,并且通过插件支持。 我不是Eclipse的忠实粉丝,因为它看起来比它需要的更复杂 – 但是如果这是最好的,我会使用它 – 目前我有用于PHP开发人员(Helios)和Indigo的Eclipse – 哪个最好? 这些版本真的很重要吗?

在Windows 7上的节点失败

============================== 已解决:从节点4.0.0切换到0.12.7。 Node v4.0.0似乎是相当原始的 我读过很多文章,他们没有帮助我。 任何解决方法? 我已经在Windows 7上安装了Visual Studio Express 2013,并set GYP_MSVS_VERSION=2013 。 但是在npm install我仍然得到了与socket.io依赖相关的以下错误: error C2995: 'v8::Local<T> _NanEnsureLocal(v8::Local<T>)' : function template error C3083: 'smalloc': the symbol to the left of a '::' must be a type [ error C2039: 'FreeCallback' : is not a member of 'node' [ error C2061: syntax error : identifier […]